<html>

	<head>
		<title>Do It YourSelf</title>
	
		<meta http-equiv="Pragma" content="no-cache"/>
		<meta http-equiv="Expires" content="Mon, 01 Jan 1996 23:59:59 GMT"/>
		<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
		<meta name="Author" content="you">

		<link rel="StyleSheet" href="styles/default.css" type="text/css" media="all" />

		<!-- Utilities -->
		<script type="text/javascript" src="scripts/tw0809/utils.js"></script>
	
		<!-- Comment this if you don't need firebug lite or if development is over! -->
		<script type="text/javascript" src="scripts/firebug-lite/firebug-lite-compressed-local-css-if-no-firebug-plugin.js"></script>
	
		<!-- Soluzioni -->
		<script type="text/javascript" src="scripts/solution3.js"></script>
		<script type="text/javascript" src="scripts/solution4.js"></script>
		<script type="text/javascript" src="scripts/solution5.js"></script>
		
	</head>
	
	<body>
		<h1>Sempre pi&ugrave; difficile</h1>
		
		<fieldset>
			<legend>La form:</legend>
			<form>
				<%@ include file="resources/filledfields.jsp" %>
			</form>
		</fieldset>

		<div id="istruzioni">
			<p>
				Aggiungere al codice HTML di questa pagina un controllo AJAX che
				raccoglie il contenuto dei tre campi della form all'interno di un'unica stringa XML 
				conforme alle specifiche disponibili <a href="resources/compactdisc.xsd">qui</a>
				e lo invia ad una servlet. <br/>
				<br/>
				<a class="clickMe" onclick="if ( check() ) invocaServlet()">Controlla e invia</a><br/>
				<br/>
				<a class="clickMe" onclick="invocaServlet()">Invia senza controllare</a> (in modo che la validazione sulla servlet possa fallire)<br/>
			</p>
			<p>
				Fare in modo che la servlet chiamata in causa
				<ul>
					<li>
						validi il contenuto ricevuto contro le specifiche di cui sopra
					</li>
					<li>
						memorizzi ogni stringa valida ricevuta all'interno di un array di stringhe mantenuto in sessione
					</li>
					<li>
						restituisca al chiamante la concatenazione di tutte le stringhe XML ricevute, 
						all'interno di un nuovo elemento radice, 
						secondo le specifiche disponibili <a href="resources/collection.dtd">qui</a>
					</li>
				</ul>
			</p>
			<p>
				Visualizzare al posto di tutte queste istruzioni, il risultato della servlet sotto forma di una tabella del tipo:
			</p>			
			<table>
				<caption>I miei CD</caption>
				<thead><tr><th>Artista</th><th>Album</th><th>Anno</th></th></thead>
				<tr><td>Queen</td><td>Greatest Hits I</td><td>1981</td></tr>
			</table>
		</div>
			
		<div>
			<p>
				Infine, aggiungere a questa pagina un controllo per distaccare l'utente dalle informazioni finora aggiunte in sessione
				(realizzarlo come si preferisce). 
			</p>
			<a class="clickMe" onclick="myGetElementById('sessionid').innerHTML = 'JSESSIONID = ' + getCookie('JSESSIONID')">Mostra il cookie di sessione</a><br/>
			<p id="sessionid">
			</p>
			<a class="clickMe" onclick="deleteCookie('JSESSIONID','localhost','/DoItYourSelf')">Distacco dalla sessione via Javascript</a> (sorry: no more working!)<br/>
			<br/>
			<a class="clickMe" href="invalidateSessionServlet">Cancellazione della sessione via Servlet</a><br/>
			<br/>
			<a class="clickMe" href="">Ricarica la versione iniziale di questa pagina</a><br/>
			<br/>
		</div>

	</body>

</html>