package it.unibo.tw0708.web;

import java.io.IOException;
import java.io.PrintWriter;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 * Another servlet
 *
 * @author you
 */
public class ServletToInvalidateSession 
extends HttpServlet {
	
	private static final long serialVersionUID = -7822739649809280754L;

	/**
	 * This servlet forwards the request processing of HTTP POST requests
	 * to the method handling HTTP GET ones.
	 * This way, the servlet can be invoked by submitting both request types
	 */
	public void doPost(HttpServletRequest request,
            HttpServletResponse response)
    throws IOException, ServletException {
    	this.doGet(request,response);
    }

	/**
	 * Requests are served by invoking library functions
	 * and returning html-wrapped results 
	 */
	public void doGet(HttpServletRequest request, HttpServletResponse response)
    throws IOException, ServletException {
    	
		request.getSession().invalidate();

    	// this is where we are gonna write html results
        PrintWriter out = response.getWriter();
       	out.println("<html><body onload=\"setTimeout(function() { history.back() }, 2000);\">Sessione cancellata.</body></html>");

    }

}